org.jetlang.web

## Class PathMatcher.PathEq<T>

- java.lang.Object
- - org.jetlang.web.PathMatcher.PathEq<T>

All Implemented Interfaces:
  PathMatcher<T>

Enclosing interface:
  PathMatcher<T>

    public static class PathMatcher.PathEq<T>
    extends Object
    implements PathMatcher<T>

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.jetlang.web.PathMatcher

`PathMatcher.PathEq<T>`

### Constructor Summary

Constructors
Constructor and Description
`PathEq(String path)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `handles(HttpRequest request, T sessionState)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.jetlang.web.PathMatcher

`pathEq`

### Constructor Detail

#### PathEq

    public PathEq(String path)

### Method Detail

#### handles

    public boolean handles(HttpRequest request,
                           T sessionState)

Specified by:
  `handles` in interface `PathMatcher<T>`